Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 119112

Summary: emerge --config www-apps/joomla-1.0.5 fails on some database names
Product: Gentoo Linux Reporter: Carl A. Dunham <gentoo-bugs2>
Component: New packagesAssignee: Gentoo Web Application Packages Maintainers <web-apps>
Status: RESOLVED FIXED    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Carl A. Dunham 2006-01-15 12:00:31 UTC
When prompted for a database name, try

    joomla-app1

which is a valid database name, but needs to be quoted to work properly. The following patch, more or less, should work:

--- /usr/portage/www-apps/joomla/joomla-1.0.5.ebuild    2006-01-07 11:12:46.000000000 -0500
+++ /tmp/joomla-1.0.5.ebuild    2006-01-15 14:59:03.000000000 -0500
@@ -85,5 +85,5 @@
    mysqladmin -u ${adminuser} ${host:+-h ${host}} -p create ${MY_DB} || die "Error creating database"
    mysql -u "${adminuser}" "${host:+-h ${host}}" -p \
        -e "GRANT SELECT,INSERT,UPDATE,DELETE,INDEX,ALTER,CREATE,DROP,REFERENCES
-       ON ${MY_DB}.* TO '${MY_USER}'@'${clientaddr}' IDENTIFIED BY '${mypwd}'; FLUSH PRIVILEGES;"  || die "Error initializing database. Please grant permissions manually."
+       ON `${MY_DB}`.* TO '${MY_USER}'@'${clientaddr}' IDENTIFIED BY '${mypwd}'; FLUSH PRIVILEGES;"  || die "Error initializing database. Please grant permissions manually."
 }
Comment 1 Renat Lumpau (RETIRED) gentoo-dev 2006-01-16 10:24:55 UTC
Thanks, fixed